Skip to content

Find a record by your key or ours

GET
/api/integration/v1/lookup
curl --request GET \
--url https://api.slflo.com/api/integration/v1/lookup \
--header 'Authorization: Bearer <token>'

Entity is customer, branch (your key is CUSTOMER_REF/BRANCH_REF), product, unit, price_list, warehouse, order, invoice, payment (or receipt) or return (or credit_note); send external_ref or id. A miss is exists: false. Needs a scope of the entity’s family.

entity
string
id
string
external_ref
string

Find a record by your key or ours

Media typeapplication/json
object
data
required
object
entity
required
string
exists
required
boolean
external_number
string
external_ref
string
id
string
number
string
version
integer format: int64

Example

{
"data": {
"entity": "customer",
"exists": true,
"external_number": null,
"external_ref": "CUST-0042",
"id": "C0000001",
"number": "CUST-1",
"version": 9123
}
}

An error: the code says what, retryable whether to try again.

Media typeapplication/json
object
error
required
object
code
required

Stable code, e.g. SCOPE_MISSING, UNKNOWN_REFERENCE.

string
details
required

Field-level problems: {field, code}.

Array<object>
object
key
additional properties
string
message
required

What happened and how to fix it.

string
request_id
required

Quote it to support; it finds the server log.

string
retryable
required

Whether the same call may succeed later.

boolean

Example

{
"error": {
"code": "SCOPE_MISSING",
"details": [],
"message": "This client does not hold the invoices:read scope.",
"request_id": "req_01J9X4Q7T2M8P3NRT6V5WZ",
"retryable": false
}
}